<?php

/* Любые самостоятельные скрипты, модули для cms , готовые сайты под ключ, разработка браузерных игр по вашему тех.заданию, оптимизация(seo), безопасность ресурса на wap фриланс Копеек.нет -> http://koneek.net © Кредитор, icq 441460, e-mail kpegumop@yandex.ru */

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Склад';
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");

If (!isset($_GET['p']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['p'])) $p=false; else $p=$_GET['p'];
switch ($p){


default:

echo "<div class=\"menu_razd\">Склад отделки участка</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Ваш склад пуст<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a><br/>';
};
};
break;

/*Дома*/

case 'house':

echo "<div class=\"menu_razd\">Здания</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='house' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Oops ! нет ничего...<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='house' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;


case 'court':

echo "<div class=\"menu_razd\">Участок</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='court' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Oops ! пустует<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='court' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Сарай*/

case 'shed':

echo "<div class=\"menu_razd\">Сарай</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='shed' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Для отладки сарая ничего нет<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='shed' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Ограда*/

case 'fence':

echo "<div class=\"menu_razd\">Ограды, заборы</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='fence' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Для отладки ограды ничего нет<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='fence' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Калитка, участок перед забором*/

case 'door':

echo "<div class=\"menu_razd\">Участок перед забором, калитка(вход)</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='door' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Для отладки входа пока ничего нет<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='door' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Будка*/

case 'akses':

echo "<div class=\"menu_razd\">Будка для собаки</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='akses' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Будки отсутствуют...<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='akses' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;


case 'akses_two':

echo "<div class=\"menu_razd\">Клумбы</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='akses_two' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Пока тут пусто<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='akses_two' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;


case 'akses_three':

echo "<div class=\"menu_razd\">Клумбы</div>";

$kk=mysql_query("SELECT * FROM `k_storage` WHERE `type`='akses_three' AND `uid`='".$user['id']."'");

include_once 'inc/navigation.php';

if(!mysql_num_rows($kk)){
echo 'Пока тут пусто...<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_storage` WHERE `type`='akses_three' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){

echo '&raquo; <a href="k_storage.php?p=otlad&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="k_storage.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Ставим часть участка , на участок собственно Гг*/

case 'otlad':

echo "<div class=\"menu_razd\">Отладка участка</div>";

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_storage` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
echo 'То что вы выбрали, не существует!';
break;
};

$x=mysql_fetch_assoc($x);
$w=mysql_query("SELECT * FROM `k_user_house` WHERE `type`='".$x['type']."' AND `uid`='".$user['id']."'");
$w=mysql_fetch_assoc($w);
if($x['type']==$w['type']){
echo' к вашему участку уже благополучно приделано <b>'.$w['name'].'</b><br />';
}else{
mysql_query("DELETE FROM `k_storage` WHERE `id`='$id'");
mysql_query("INSERT INTO `k_user_house` (`vid`,`uid`,`name`,`opis`,`path`,`type`,`cena`,`shik`,`del`,`glam`)VALUES('".$x['id']."','".$x['uid']."','".$x['name']."','".$x['opis']."','".$x['path']."','".$x['type']."','".$x['cena']."','".$x['shik']."','".$x['del']."','".$x['glam']."')");
echo 'Вы заменили часть участка на <b>'.$x['name'].'</b><br/>';
};
break;


case 'snt':

echo "<div class=\"menu_razd\">Убрать часть участка в склад</div>";

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
$x=mysql_query("SELECT * FROM `k_user_house` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
echo 'Того что вы выбрали не существует!';
break;
};
$x=mysql_fetch_assoc($x);
mysql_query("DELETE FROM `k_user_house` WHERE `id`='$id'");
mysql_query("INSERT INTO `k_storage` (`vid`,`uid`,`name`,`opis`,`path`,`type`,`cena`,`shik`,`del`,`glam`)VALUES('".$x['id']."','".$x['uid']."','".$x['name']."','".$x['opis']."','".$x['path']."','".$x['type']."','".$x['cena']."','".$x['shik']."','".$x['del']."','".$x['glam']."')");
echo 'Вы убрали с участка <b>'.$x['name'].'</b><br/>';
break;

/*Удаляем часть участка*/

case 'del':

echo "<div class=\"menu_razd\">!!!Удаляем совсем часть участка</div>";

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
$x=mysql_query("SELECT * FROM `k_storage` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
echo 'Того что вы выбрали не существует!';
break;
};
$x=mysql_fetch_assoc($x);
mysql_query("DELETE FROM `k_storage` WHERE `id`='$id'");
echo 'Вы насовсем удалили <b>'.$x['name'].'</b> с вашего участка и склада.<br/>';
break;


};

echo'<div class=\'foot\'>';
echo'<a href="k_storage.php">Мой Гардероб</a><br>';
echo"√ <a href=\"area.php?id=$user[id]\">Внешний вид</a><br />";
echo '√ <a href="reeltor.php">Магазин Одежды</a><br />';
echo "√ <a href='my.php'>Моя ферма</a><br/>";
echo "√ <a href='index.php'>Главная игры</a>";

echo'</div>';

include_once '../sys/inc/tfoot.php';
?>